=== debian/changelog ===
wxwindows2.2 (2.2.9.2) unstable; urgency=high

  * Fix wxPython gl bug.  Closes: #130758
  * Add versioned build dep on the -dev package too
    to help avoid the 'png fiasco' for packages built
    with wx.  (Thanks Joshua)  Closes: #131355

 -- Ron Lee <ron@debian.org>  Fri, 25 Jan 2002 03:11:28 -0800

wxwindows2.2 (2.2.9.1) unstable; urgency=high

  * recompile with libpng2..  oops.  Closes: #129762

 -- Ron Lee <ron@debian.org>  Mon, 21 Jan 2002 13:20:00 -0800

wxwindows2.2 (2.2.9) unstable; urgency=high

  * fix for arches with unsigned char as default.
  * high urgency because this fix really should get
    into woody.
    Closes: #127014

 -- Ron Lee <ron@debian.org>  Mon, 31 Dec 2001 06:53:27 -0800

wxwindows2.2 (2.2.8.5) unstable; urgency=low

  * Add wxSIZE_T_IS defines to setup.h
    Add automate that to my TODO list.

 -- Ron Lee <ron@debian.org>  Tue, 27 Nov 2001 05:55:47 -0800

wxwindows2.2 (2.2.8.4) unstable; urgency=low

  * Put the (modified) size_t == ulong kludge back into sndwav.cpp
    it's still needed until wxDataOutputStream is made 64 bit
    friendly, which may not happen for 2.2 since it will probably
    not be binary compatible.
  * caps a memory leak in the jpeg handler.

 -- Ron Lee <ron@debian.org>  Sun, 25 Nov 2001 11:53:59 -0800

wxwindows2.2 (2.2.8.3) unstable; urgency=low

  * Backported size_t test from 2.3 tree, removes the need for
    specific tests for various 64 bit platforms including now
    S/390 (thanks to Gerhard Tonn for the report).
    Closes: #120768

 -- Ron Lee <ron@debian.org>  Fri, 23 Nov 2001 20:53:49 -0800

wxwindows2.2 (2.2.8.2) unstable; urgency=low

  * python-dev doesn't get me python?  More bytes in Build-Dep then
    I guess ...  Closes: #119954

 -- Ron Lee <ron@debian.org>  Sun, 18 Nov 2001 04:28:41 -0800

wxwindows2.2 (2.2.8.1) unstable; urgency=low

  * Rebuild for python2.1  Closes: #119226, #118835

 -- Ron Lee <ron@debian.org>  Mon, 12 Nov 2001 21:47:38 -0800

wxwindows2.2 (2.2.8) unstable; urgency=medium

  * Fixed bogus samples makefile. Closes: #110061
  * Added ability to build wxMSW-cross packages, but they
    are not built and distributed by default.

      If you think such creatures belong in the archive,
      see README.Debian

  * Pruned more inapplicable files from the raw cvs source,
    cleaned configure.in and removed the need for a common setup.h,
    removed superfluous library links and generally tweaked things
    so as to make adding new ports easier.
  * added --gl-libs flag to wx-config.
  * added wx2.4 forward compatible event macros.
  * added build fixes for IA64 from Jeff Licquia, and fixed clean
    rules to pick up unnoticed strays that effected NMU builds.
    Thanks Jeff.  Closes: #101734, #104679  (fixed in NMU)
  * Medium urgency since several other packages are waiting
    for this to get into testing.

 -- Ron Lee <ron@debian.org>  Thu, 30 Aug 2001 15:41:49 -0700

wxwindows2.2 (2.2.7) unstable; urgency=medium

  * The "Testing Tarantella" release.
  * various small control (mis)behaviours corrected.
  * added missing build-dep for gettext.
  * updated wxPython description, Closes: #102689
  * Never publicly released, oh well.

 -- Ron Lee <ron@debian.org>  Sun, 10 Jun 2001 19:32:46 -0700

wxwindows2.2 (2.2.6.1) unstable; urgency=low

  * fix rules so it really doesn't build -indep for ports
    and fixed ambiguous overload bug in mmedia contrib.
    This time it will build on alpha for sure.  Really. :)
    Closes: #92288
  * added extra -dev package deps.  Closes: #91364

 -- Ron Lee <ron@debian.org>  Sat,  7 Apr 2001 06:49:58 -0700

wxwindows2.2 (2.2.6) unstable; urgency=low

  * changed i18n package back to building during arch phase
    so we can reap the .mo files as they are created. Closes: #86174
  * OBCBLR Closes: #84692
  * fix wxPython build gremlin.  Closes: #89209, #85129
  * tweaked wx-config alternatives priority to favour the most
    likely default use.
  * general buglet count reduced.

 -- Ron Lee <ron@debian.org>  Thu,  8 Mar 2001 21:10:07 -0800

wxwindows2.2 (2.2.5.1) unstable; urgency=low

  * "This One's for Dirk"  Closes: #84696
  * 2.2.5 has known issues and will not be released for Debian.
  * Fixed parser.y for Alpha builds (#82949)
  * changed mesa dependency to the virtual libgl package and
    added Conflicts for the old 2.1 packages (which are now
    gone from woody anyway)  Closes: #80120, #70778, #70779, #70780
  * wxPython now builds as a single unit (including contrib)
    so removed the libwxgtk-python-contrib package
  * updated translations
  * new event table macro to enable code being written with 2.2
    to be forward compatible with the changes in 2.4
  * numerous sundry bugfixes

 -- Ron Lee <ron@debian.org>  Wed, 24 Jan 2001 18:51:24 -0800

wxwindows2.2 (2.2.2) unstable; urgency=low

  * added missing dependancy for contrib-dev package.  Closes: #70880
  * by popular demand, added a package with the python-contrib libs.
  * more tweaks to deb/rules.  autodetect the python install location,
    and cache the results of configure tests for all packages.
  * and of course a whole stack of minor fixes in the main codebase too.

 -- Ron Lee <ron@debian.org>  Tue,  5 Sep 2000 18:51:24 +0930

wxwindows2.2 (2.2.1) unstable; urgency=low

  * wxWin 2.2.1 stable release.
  * First upload to deb.org after repackaging to build directly from
    upstream cvs.
  * still not quite lintian clean yet:
    - wxPython lib can't be built with a proper soname yet.
    - the -dbg packages need an override for the shlib symlink.
    - and a couple of packages have the lib symlink 'before the
      lib', but that's ugly to fix right now, they aren't critical
      libs, and allegedly this will be handled by dpkg sometime soon.
  * moved full licence text into copyright file.

 -- Ron Lee <ron@debian.org>  Sun, 13 Feb 2000 18:40:00 +1030

Local variables:
mode: debian-changelog
End:
