=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file to build packages from wxWindows CVS source
#
# Sculpted 13/2/2000 by Ron Lee <ron@debian.org> from new and
# variously stolen code :-)
# It makes copious use of the debhelper utilities written by
# Joey Hess and others.

#export DH_VERBOSE=1
export DH_COMPAT=2
export DH_OPTIONS

release:=$(shell dpkg-parsechangelog | sed -n 's/^Source: wxwindows//p')
python_dir:=python$(shell python -c "import sys;print sys.version[:3]")

cross_host=i586-mingw32msvc
cross_build=$(shell ./config.guess)

# Packages to build:
package_wxbase_lib=libwxbase$(release)
package_wxbase_dev=libwxbase$(release)-dev
package_wxbase_dbg=libwxbase$(release)-dbg
package_gtk_lib=libwxgtk$(release)
package_gtk_dev=libwxgtk$(release)-dev
package_gtk_dbg=libwxgtk$(release)-dbg
package_gtk_py=libwxgtk$(release)-python
package_gtk_contrib=libwxgtk$(release)-contrib
package_gtk_contrib_dev=libwxgtk$(release)-contrib-dev
package_headers=wxwin$(release)-headers
package_i18n=wxwin$(release)-i18n
package_doc=wxwin$(release)-doc
package_examples=wxwin$(release)-examples

package_wxbase_msw_dev=libwxbase-msw$(release)-dev
package_msw_dev=libwxmsw$(release)-dev
package_headers_msw=wxwin$(release)-headers-msw

# Build directories:
objdir_wxbase_shared=objs_wxbase_sh
objdir_wxbase_static=objs_wxbase_st
objdir_wxbase_debug=objs_wxbase_d
objdir_gtk_shared=objs_gtk_sh
objdir_gtk_static=objs_gtk_st
objdir_gtk_debug=objs_gtk_d
objdir_doc_cruft=objs_doc_con
objdir_doc=docs/wxWindows-manual.html
objdir_examples=docs/examples
objdir_i18n=locale

objdir_wxbase_msw_static=objs_wxbase_msw_st
objdir_msw_static=objs_msw_st

objdirs=$(objdir_wxbase_shared) $(objdir_wxbase_static) $(objdir_wxbase_debug) \
	$(objdir_gtk_shared) $(objdir_gtk_static) $(objdir_gtk_debug) \
	$(objdir_doc_cruft) $(objdir_doc) $(objdir_examples) \
        $(objdir_wxbase_msw_static) $(objdir_msw_static)

#	note that the i18n package is actually arch indep (once built)
#	but must be built (and installed) during the arch any phase as
#	it's pulled out of the wxGtk shared lib package.

# Build stamps:
build_arch_stamps=build-wxbase-shared-stamp build-wxbase-static-stamp \
                  build-wxbase-debug-stamp build-gtk-shared-stamp \
                  build-gtk-static-stamp build-gtk-debug-stamp \
                  build-contrib-shared-stamp build-contrib-static-stamp \
                  build-gtk-py-stamp build-i18n-stamp

build_indep_stamps=build-examples-stamp build-doc-stamp

build_cross_stamps=build-wxbase-msw-dev-stamp build-msw-dev-stamp

build_stamps_native=$(build_arch_stamps) $(build_indep_stamps)

build_stamps=$(build_stamps_native) $(build_cross_stamps)

# Install targets:
install_all_arch=install-wxbase-lib install-wxbase-dev install-wxbase-dbg \
                 install-gtk-lib install-gtk-dev install-gtk-dbg \
                 install-gtk-contrib install-gtk-contrib-dev install-gtk-py \
                 install-headers install-i18n

install_all_indep=install-examples install-doc

install_all_cross=install-wxbase-msw-dev install-msw-dev install-headers-msw

install_all_native=$(install_all_arch) $(install_all_indep)

install_all=$(install_all_native) $(install_all_cross)


wxconfig:=$(shell pwd)/$(objdir_gtk_shared)/wx-config \
                --prefix=$(shell pwd) \
                --exec-prefix=$(shell pwd)/$(objdir_gtk_shared)


# The Rules:

debian/control: debian/control.in
	sed -e 's/=V/$(release)/g' < debian/control.in > debian/control

control-files-stamp: debian/control
	dh_testdir
	@for f in dirs postinst; do \
		echo "generating control file $(package_wxbase_lib).$$f"; \
		cp debian/libwxbase.$$f debian/$(package_wxbase_lib).$$f; \
	done;
	@for f in dirs files links postinst prerm; do \
		echo "generating control file $(package_wxbase_dev).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/libwxbase-dev.$$f \
			> debian/$(package_wxbase_dev).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_wxbase_dbg).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/libwxbase-dbg.$$f \
			> debian/$(package_wxbase_dbg).$$f; \
	done;
	@for f in dirs postinst; do \
		echo "generating control file $(package_gtk_lib).$$f"; \
		cp debian/libwxgtk.$$f debian/$(package_gtk_lib).$$f; \
	done;
	@for f in dirs files links postinst prerm; do \
		echo "generating control file $(package_gtk_dev).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/libwxgtk-dev.$$f \
			> debian/$(package_gtk_dev).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_gtk_dbg).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/libwxgtk-dbg.$$f \
			> debian/$(package_gtk_dbg).$$f; \
	done;
	@for f in dirs docs files postinst prerm; do \
		echo "generating control file $(package_gtk_py).$$f"; \
		sed -e 's/=PY/$(python_dir)/g;s/=V/$(release)/g' < debian/libwxgtk-python.$$f \
			> debian/$(package_gtk_py).$$f; \
	done;
	@for f in dirs postinst; do \
		echo "generating control file $(package_gtk_contrib).$$f"; \
		cp debian/libwxgtk-contrib.$$f debian/$(package_gtk_contrib).$$f; \
	done;
	@for f in dirs files; do \
		echo "generating control file $(package_gtk_contrib_dev).$$f"; \
		cp debian/libwxgtk-contrib-dev.$$f debian/$(package_gtk_contrib_dev).$$f; \
	done;
	@for f in dirs files; do \
		echo "generating control file $(package_headers).$$f"; \
		cp debian/wxwin-headers.$$f debian/$(package_headers).$$f; \
	done;
	@for f in dirs files; do \
		echo "generating control file $(package_i18n).$$f"; \
		cp debian/wxwin-i18n.$$f debian/$(package_i18n).$$f; \
	done;
	@for f in dirs docs doc-base; do \
		echo "generating control file $(package_doc).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/wxwin-doc.$$f \
			> debian/$(package_doc).$$f; \
	done;
	@for f in examples; do \
		echo "generating control file $(package_examples).$$f"; \
		cp debian/wxwin-examples.$$f debian/$(package_examples).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_wxbase_msw_dev).$$f"; \
		sed -e 's/=V/$(release)/g;s/=H/$(cross_host)/g' < debian/libwxbase-msw-dev.$$f \
			> debian/$(package_wxbase_msw_dev).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_msw_dev).$$f"; \
		sed -e 's/=V/$(release)/g;s/=H/$(cross_host)/g' < debian/libwxmsw-dev.$$f \
			> debian/$(package_msw_dev).$$f; \
	done;
	@for f in dirs; do \
		echo "generating control file $(package_headers_msw).$$f"; \
		sed -e 's/=H/$(cross_host)/g' < debian/wxwin-headers-msw.$$f \
			> debian/$(package_headers_msw).$$f; \
	done;
	touch $@

build_arch: control-files-stamp $(build_arch_stamps)
build_all: control-files-stamp $(build_stamps_native)

# Really we should probably do nothing here until we know which
# binary target is being called, but alpha builds were exploding
# (compiler segfaults) in random places when building under fakeroot
# from the binary-arch target.  Build all -arch files here then, and
# let the -indep stuff fend for itself later.

build: build_arch


build-wxbase-shared-stamp:
	dh_testdir
	mkdir $(objdir_wxbase_shared)
	cd $(objdir_wxbase_shared) \
		&& ../configure --prefix=/usr \
				--cache-file=../config_deb.cache \
				--disable-gui \
				--enable-soname \
				--with-zlib=sys \
		&& $(MAKE)
	touch $@

build-wxbase-static-stamp:
	dh_testdir
	mkdir $(objdir_wxbase_static)
	cd $(objdir_wxbase_static) \
		&& ../configure --prefix=/usr \
				--cache-file=../config_deb.cache \
				--disable-gui \
				--disable-shared \
				--with-zlib=sys \
		&& $(MAKE)
	touch $@

build-wxbase-debug-stamp:
	dh_testdir
	mkdir $(objdir_wxbase_debug)
	cd $(objdir_wxbase_debug) \
		&& ../configure --prefix=/usr \
				--cache-file=../config_deb.cache \
				--disable-gui \
				--enable-debug \
				--enable-soname \
				--with-zlib=sys \
		&& $(MAKE)
	touch $@

build-gtk-shared-stamp:
	dh_testdir
	mkdir $(objdir_gtk_shared)
	cd $(objdir_gtk_shared) \
		&& ../configure --prefix=/usr \
